<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::toggle_button Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1toggle__button.html">toggle_button</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1toggle__button-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::toggle_button Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::toggle_button:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1toggle__button.png" usemap="#dlib::toggle_5Fbutton_map" alt=""/>
  <map id="dlib::toggle_5Fbutton_map" name="dlib::toggle_5Fbutton_map">
<area href="classdlib_1_1button__action.html" alt="dlib::button_action" shape="rect" coords="77,112,222,136"/>
<area href="classdlib_1_1mouse__over__event.html" alt="dlib::mouse_over_event" shape="rect" coords="77,56,222,80"/>
<area href="classdlib_1_1drawable.html" alt="dlib::drawable" shape="rect" coords="77,0,222,24"/>
<area href="classdlib_1_1check__box.html" alt="dlib::check_box" shape="rect" coords="0,224,145,248"/>
<area href="classdlib_1_1radio__button.html" alt="dlib::radio_button" shape="rect" coords="155,224,300,248"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af68d3188a20e0505444bf36dd4fea2f7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1toggle__button.html#af68d3188a20e0505444bf36dd4fea2f7">toggle_button</a> (<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;w)</td></tr>
<tr class="separator:af68d3188a20e0505444bf36dd4fea2f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b9ca0b06e5d0b55c78e80fe992f9421"><td class="memItemLeft" align="right" valign="top"><a id="a6b9ca0b06e5d0b55c78e80fe992f9421"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_name</b> (const std::string &amp;name)</td></tr>
<tr class="separator:a6b9ca0b06e5d0b55c78e80fe992f9421"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae977023385dee83f62e3367cfa5ac4d2"><td class="memItemLeft" align="right" valign="top"><a id="ae977023385dee83f62e3367cfa5ac4d2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_name</b> (const std::wstring &amp;name)</td></tr>
<tr class="separator:ae977023385dee83f62e3367cfa5ac4d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f63f89c4a74c828017b387bc8cb882e"><td class="memItemLeft" align="right" valign="top"><a id="a9f63f89c4a74c828017b387bc8cb882e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_name</b> (const dlib::ustring &amp;name)</td></tr>
<tr class="separator:a9f63f89c4a74c828017b387bc8cb882e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e90427843538a11c3cdecc9c8d86007"><td class="memItemLeft" align="right" valign="top"><a id="a8e90427843538a11c3cdecc9c8d86007"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_size</b> (unsigned long width_, unsigned long height_)</td></tr>
<tr class="separator:a8e90427843538a11c3cdecc9c8d86007"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40bdf71537081d2286fe04437ea6b772"><td class="memItemLeft" align="right" valign="top"><a id="a40bdf71537081d2286fe04437ea6b772"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_tooltip_text</b> (const std::string &amp;text)</td></tr>
<tr class="separator:a40bdf71537081d2286fe04437ea6b772"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42604dfff1d04d1e5da939c85e69e455"><td class="memItemLeft" align="right" valign="top"><a id="a42604dfff1d04d1e5da939c85e69e455"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_tooltip_text</b> (const std::wstring &amp;text)</td></tr>
<tr class="separator:a42604dfff1d04d1e5da939c85e69e455"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab93c4abdc465a7b0c5a3b0d2d6b27f4b"><td class="memItemLeft" align="right" valign="top"><a id="ab93c4abdc465a7b0c5a3b0d2d6b27f4b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_tooltip_text</b> (const ustring &amp;text)</td></tr>
<tr class="separator:ab93c4abdc465a7b0c5a3b0d2d6b27f4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad866123d629eb0da5433ceae025db003"><td class="memItemLeft" align="right" valign="top"><a id="ad866123d629eb0da5433ceae025db003"></a>
const std::string&#160;</td><td class="memItemRight" valign="bottom"><b>tooltip_text</b> () const</td></tr>
<tr class="separator:ad866123d629eb0da5433ceae025db003"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03ca1d36d88d14ffadbcdfe258288065"><td class="memItemLeft" align="right" valign="top"><a id="a03ca1d36d88d14ffadbcdfe258288065"></a>
const std::wstring&#160;</td><td class="memItemRight" valign="bottom"><b>tooltip_wtext</b> () const</td></tr>
<tr class="separator:a03ca1d36d88d14ffadbcdfe258288065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2754bf1c101533a00e734804a8cd83a1"><td class="memItemLeft" align="right" valign="top"><a id="a2754bf1c101533a00e734804a8cd83a1"></a>
const dlib::ustring&#160;</td><td class="memItemRight" valign="bottom"><b>tooltip_utext</b> () const</td></tr>
<tr class="separator:a2754bf1c101533a00e734804a8cd83a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7e6777e27ce02bb18c369fbc97ce381"><td class="memItemLeft" align="right" valign="top"><a id="ac7e6777e27ce02bb18c369fbc97ce381"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_checked</b> () const</td></tr>
<tr class="separator:ac7e6777e27ce02bb18c369fbc97ce381"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfd0fa4042a89bc208829a738773080f"><td class="memItemLeft" align="right" valign="top"><a id="acfd0fa4042a89bc208829a738773080f"></a>
const std::string&#160;</td><td class="memItemRight" valign="bottom"><b>name</b> () const</td></tr>
<tr class="separator:acfd0fa4042a89bc208829a738773080f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3e05e5b797135d7a270d9e5e3614a4b"><td class="memItemLeft" align="right" valign="top"><a id="af3e05e5b797135d7a270d9e5e3614a4b"></a>
const std::wstring&#160;</td><td class="memItemRight" valign="bottom"><b>wname</b> () const</td></tr>
<tr class="separator:af3e05e5b797135d7a270d9e5e3614a4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71784a89d6b39b4eb57ad02590658ccd"><td class="memItemLeft" align="right" valign="top"><a id="a71784a89d6b39b4eb57ad02590658ccd"></a>
const dlib::ustring&#160;</td><td class="memItemRight" valign="bottom"><b>uname</b> () const</td></tr>
<tr class="separator:a71784a89d6b39b4eb57ad02590658ccd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74243be9d4472aea60cae5fbc919e48b"><td class="memItemLeft" align="right" valign="top"><a id="a74243be9d4472aea60cae5fbc919e48b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_checked</b> ()</td></tr>
<tr class="separator:a74243be9d4472aea60cae5fbc919e48b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadd8f5e7bc9bf08f7900842e078d1d4d"><td class="memItemLeft" align="right" valign="top"><a id="aadd8f5e7bc9bf08f7900842e078d1d4d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_unchecked</b> ()</td></tr>
<tr class="separator:aadd8f5e7bc9bf08f7900842e078d1d4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdfc29c1c08a40f02ab29d367399fa20"><td class="memItemLeft" align="right" valign="top"><a id="acdfc29c1c08a40f02ab29d367399fa20"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>show</b> ()</td></tr>
<tr class="separator:acdfc29c1c08a40f02ab29d367399fa20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae48e9301b72b2ce34c8e420d56dd7c88"><td class="memItemLeft" align="right" valign="top"><a id="ae48e9301b72b2ce34c8e420d56dd7c88"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>hide</b> ()</td></tr>
<tr class="separator:ae48e9301b72b2ce34c8e420d56dd7c88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4bc1cee301f79fb041b8ad0a2792ea8"><td class="memItemLeft" align="right" valign="top"><a id="af4bc1cee301f79fb041b8ad0a2792ea8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>enable</b> ()</td></tr>
<tr class="separator:af4bc1cee301f79fb041b8ad0a2792ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21deeab4b936419d41ebe196246c37fc"><td class="memItemLeft" align="right" valign="top"><a id="a21deeab4b936419d41ebe196246c37fc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>disable</b> ()</td></tr>
<tr class="separator:a21deeab4b936419d41ebe196246c37fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af963785b8de1782bd00e049ccf988675"><td class="memItemLeft" align="right" valign="top"><a id="af963785b8de1782bd00e049ccf988675"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_main_font</b> (const <a class="el" href="classdlib_1_1shared__ptr__thread__safe.html">shared_ptr_thread_safe</a>&lt; <a class="el" href="classdlib_1_1font.html">font</a> &gt; &amp;f)</td></tr>
<tr class="separator:af963785b8de1782bd00e049ccf988675"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac4d3ada525f7b6d47f1a9e39976b2c7"><td class="memItemLeft" align="right" valign="top"><a id="aac4d3ada525f7b6d47f1a9e39976b2c7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_pos</b> (long x, long y)</td></tr>
<tr class="separator:aac4d3ada525f7b6d47f1a9e39976b2c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b2f5998fc0312a2c1c43ab5f9c045a1"><td class="memTemplParams" colspan="2"><a id="a7b2f5998fc0312a2c1c43ab5f9c045a1"></a>
template&lt;typename style_type &gt; </td></tr>
<tr class="memitem:a7b2f5998fc0312a2c1c43ab5f9c045a1"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>set_style</b> (const style_type &amp;style_)</td></tr>
<tr class="separator:a7b2f5998fc0312a2c1c43ab5f9c045a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3f086ea86358f56343b70b3232ec711"><td class="memTemplParams" colspan="2"><a id="ac3f086ea86358f56343b70b3232ec711"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:ac3f086ea86358f56343b70b3232ec711"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>set_click_handler</b> (T &amp;object, void(T::*event_handler_)())</td></tr>
<tr class="separator:ac3f086ea86358f56343b70b3232ec711"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e9b9b69e2e9eea2f61426e8b05f8c51"><td class="memItemLeft" align="right" valign="top"><a id="a0e9b9b69e2e9eea2f61426e8b05f8c51"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_click_handler</b> (const <a class="el" href="classdlib_1_1any__function.html">any_function</a>&lt; void()&gt; &amp;event_handler_)</td></tr>
<tr class="separator:a0e9b9b69e2e9eea2f61426e8b05f8c51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9afb584b970beb0dfad03b5ecf6bdaeb"><td class="memTemplParams" colspan="2"><a id="a9afb584b970beb0dfad03b5ecf6bdaeb"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a9afb584b970beb0dfad03b5ecf6bdaeb"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>set_click_handler</b> (T &amp;object, void(T::*event_handler_)(<a class="el" href="classdlib_1_1toggle__button.html">toggle_button</a> &amp;))</td></tr>
<tr class="separator:a9afb584b970beb0dfad03b5ecf6bdaeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ece8147e0e5eb0cfe4afdd26f538dd8"><td class="memItemLeft" align="right" valign="top"><a id="a8ece8147e0e5eb0cfe4afdd26f538dd8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_sourced_click_handler</b> (const <a class="el" href="classdlib_1_1any__function.html">any_function</a>&lt; void(<a class="el" href="classdlib_1_1toggle__button.html">toggle_button</a> &amp;)&gt; &amp;event_handler_)</td></tr>
<tr class="separator:a8ece8147e0e5eb0cfe4afdd26f538dd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1button__action"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1button__action')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1button__action.html">dlib::button_action</a></td></tr>
<tr class="memitem:a489fe184980325f3a46a76e857acb7ca inherit pub_methods_classdlib_1_1button__action"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1button__action.html#a489fe184980325f3a46a76e857acb7ca">button_action</a> (<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;w, unsigned long events=0)</td></tr>
<tr class="separator:a489fe184980325f3a46a76e857acb7ca inherit pub_methods_classdlib_1_1button__action"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1831934d237c3be9644ad7594ce598e inherit pub_methods_classdlib_1_1button__action"><td class="memItemLeft" align="right" valign="top"><a id="aa1831934d237c3be9644ad7594ce598e"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>next_free_user_event_number</b> () const</td></tr>
<tr class="separator:aa1831934d237c3be9644ad7594ce598e inherit pub_methods_classdlib_1_1button__action"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1mouse__over__event"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1mouse__over__event')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1mouse__over__event.html">dlib::mouse_over_event</a></td></tr>
<tr class="memitem:a98de54751146d366057579357ac5a0bb inherit pub_methods_classdlib_1_1mouse__over__event"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1mouse__over__event.html#a98de54751146d366057579357ac5a0bb">mouse_over_event</a> (<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;w, unsigned long events=0)</td></tr>
<tr class="separator:a98de54751146d366057579357ac5a0bb inherit pub_methods_classdlib_1_1mouse__over__event"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1drawable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1drawable')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td></tr>
<tr class="memitem:aaf2c3807920230e74ecbe84e98fb4ec5 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aaf2c3807920230e74ecbe84e98fb4ec5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>drawable</b> (<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;w, unsigned long events_=0)</td></tr>
<tr class="separator:aaf2c3807920230e74ecbe84e98fb4ec5 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a6d00bd7fea303c26671198f5094675 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a8a6d00bd7fea303c26671198f5094675"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>z_order</b> () const</td></tr>
<tr class="separator:a8a6d00bd7fea303c26671198f5094675 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a797265ad4f1f553706f9bab7f2d020ca inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a797265ad4f1f553706f9bab7f2d020ca"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>set_z_order</b> (long order)</td></tr>
<tr class="separator:a797265ad4f1f553706f9bab7f2d020ca inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03018c52aba1e5bf783f816292214311 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a03018c52aba1e5bf783f816292214311"></a>
const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_rect</b> () const</td></tr>
<tr class="separator:a03018c52aba1e5bf783f816292214311 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eaed8ef49cda60e2c8543f3b9245e5a inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a2eaed8ef49cda60e2c8543f3b9245e5a"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>bottom</b> () const</td></tr>
<tr class="separator:a2eaed8ef49cda60e2c8543f3b9245e5a inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6c550642726658e72af70bc35c552bc inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aa6c550642726658e72af70bc35c552bc"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>top</b> () const</td></tr>
<tr class="separator:aa6c550642726658e72af70bc35c552bc inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad80b8b9d20f5dbb5c0faa69f7badbf2e inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ad80b8b9d20f5dbb5c0faa69f7badbf2e"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>left</b> () const</td></tr>
<tr class="separator:ad80b8b9d20f5dbb5c0faa69f7badbf2e inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5c28297f9854588e8591379a03ba78c inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ac5c28297f9854588e8591379a03ba78c"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>right</b> () const</td></tr>
<tr class="separator:ac5c28297f9854588e8591379a03ba78c inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a196e6cdd2eccd24aa9ca2d7f3fe7adad inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a196e6cdd2eccd24aa9ca2d7f3fe7adad"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a196e6cdd2eccd24aa9ca2d7f3fe7adad inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab204119df30daf1cac93769a95610c47 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ab204119df30daf1cac93769a95610c47"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:ab204119df30daf1cac93769a95610c47 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a4452d3e639fe7e9a13d1e74a533a69 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a4a4452d3e639fe7e9a13d1e74a533a69"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_enabled</b> () const</td></tr>
<tr class="separator:a4a4452d3e639fe7e9a13d1e74a533a69 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81968bfce5906931c912588b6b8638cb inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a81968bfce5906931c912588b6b8638cb"></a>
const <a class="el" href="classdlib_1_1shared__ptr__thread__safe.html">shared_ptr_thread_safe</a>&lt; <a class="el" href="classdlib_1_1font.html">font</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>main_font</b> () const</td></tr>
<tr class="separator:a81968bfce5906931c912588b6b8638cb inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a452ba54faf5da3cd786c8c480c5f8c11 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a452ba54faf5da3cd786c8c480c5f8c11"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_hidden</b> () const</td></tr>
<tr class="separator:a452ba54faf5da3cd786c8c480c5f8c11 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0d82ff05bcef44c93467cbf50db9d2b inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ac0d82ff05bcef44c93467cbf50db9d2b"></a>
<a class="el" href="classdlib_1_1base__window.html">base_window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>parent_window</b> ()</td></tr>
<tr class="separator:ac0d82ff05bcef44c93467cbf50db9d2b inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af92f5f4489e7104d2f2f7d852ab63d5f inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="af92f5f4489e7104d2f2f7d852ab63d5f"></a>
const <a class="el" href="classdlib_1_1base__window.html">base_window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>parent_window</b> () const</td></tr>
<tr class="separator:af92f5f4489e7104d2f2f7d852ab63d5f inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a20e2e6711045f2893a55531db6665aab"><td class="memItemLeft" align="right" valign="top"><a id="a20e2e6711045f2893a55531db6665aab"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>draw</b> (const <a class="el" href="classdlib_1_1canvas.html">canvas</a> &amp;c) const</td></tr>
<tr class="separator:a20e2e6711045f2893a55531db6665aab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4788f66b5f91568aa28312fbbe815f8f"><td class="memItemLeft" align="right" valign="top"><a id="a4788f66b5f91568aa28312fbbe815f8f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_button_up</b> (bool mouse_over)</td></tr>
<tr class="separator:a4788f66b5f91568aa28312fbbe815f8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87695ce03f2790640b0b9b8b05eb9dd3"><td class="memItemLeft" align="right" valign="top"><a id="a87695ce03f2790640b0b9b8b05eb9dd3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_over</b> ()</td></tr>
<tr class="separator:a87695ce03f2790640b0b9b8b05eb9dd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac0495a7bc2f632de88baeca4f4d39cc"><td class="memItemLeft" align="right" valign="top"><a id="aac0495a7bc2f632de88baeca4f4d39cc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_not_over</b> ()</td></tr>
<tr class="separator:aac0495a7bc2f632de88baeca4f4d39cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1button__action"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1button__action')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1button__action.html">dlib::button_action</a></td></tr>
<tr class="memitem:a614a864de3a187a93965da20ac7ab9c8 inherit pro_methods_classdlib_1_1button__action"><td class="memItemLeft" align="right" valign="top"><a id="a614a864de3a187a93965da20ac7ab9c8"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_depressed</b> () const</td></tr>
<tr class="separator:a614a864de3a187a93965da20ac7ab9c8 inherit pro_methods_classdlib_1_1button__action"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e86a6ebbb2206d5d43267d70b4ec0e2 inherit pro_methods_classdlib_1_1button__action"><td class="memItemLeft" align="right" valign="top"><a id="a8e86a6ebbb2206d5d43267d70b4ec0e2"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_button_down</b> ()</td></tr>
<tr class="separator:a8e86a6ebbb2206d5d43267d70b4ec0e2 inherit pro_methods_classdlib_1_1button__action"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad73d7f105db79b836b6a4c5297d0276 inherit pro_methods_classdlib_1_1button__action"><td class="memItemLeft" align="right" valign="top"><a id="aad73d7f105db79b836b6a4c5297d0276"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_down</b> (unsigned long btn, unsigned long, long x, long y, bool)</td></tr>
<tr class="separator:aad73d7f105db79b836b6a4c5297d0276 inherit pro_methods_classdlib_1_1button__action"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b18387c8f5db39aa6f23157d39b7653 inherit pro_methods_classdlib_1_1button__action"><td class="memItemLeft" align="right" valign="top"><a id="a2b18387c8f5db39aa6f23157d39b7653"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_move</b> (unsigned long state, long x, long y)</td></tr>
<tr class="separator:a2b18387c8f5db39aa6f23157d39b7653 inherit pro_methods_classdlib_1_1button__action"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12760b7b48f207c0cb7a3fdf029fb947 inherit pro_methods_classdlib_1_1button__action"><td class="memItemLeft" align="right" valign="top"><a id="a12760b7b48f207c0cb7a3fdf029fb947"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_up</b> (unsigned long btn, unsigned long, long x, long y)</td></tr>
<tr class="separator:a12760b7b48f207c0cb7a3fdf029fb947 inherit pro_methods_classdlib_1_1button__action"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1mouse__over__event"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1mouse__over__event')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1mouse__over__event.html">dlib::mouse_over_event</a></td></tr>
<tr class="memitem:a212a53acccf5b09c3f94f1ffee465fa4 inherit pro_methods_classdlib_1_1mouse__over__event"><td class="memItemLeft" align="right" valign="top"><a id="a212a53acccf5b09c3f94f1ffee465fa4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_mouse_over</b> () const</td></tr>
<tr class="separator:a212a53acccf5b09c3f94f1ffee465fa4 inherit pro_methods_classdlib_1_1mouse__over__event"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a027846fa0855686007cfef2a83435148 inherit pro_methods_classdlib_1_1mouse__over__event"><td class="memItemLeft" align="right" valign="top"><a id="a027846fa0855686007cfef2a83435148"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_leave</b> ()</td></tr>
<tr class="separator:a027846fa0855686007cfef2a83435148 inherit pro_methods_classdlib_1_1mouse__over__event"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1drawable"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1drawable')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td></tr>
<tr class="memitem:adee9bca08d896eb22489c3cfd681d9a4 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="adee9bca08d896eb22489c3cfd681d9a4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>enable_events</b> ()</td></tr>
<tr class="separator:adee9bca08d896eb22489c3cfd681d9a4 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fbbe9d1525025a7bdee050a5f084e02 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a1fbbe9d1525025a7bdee050a5f084e02"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>events_are_enabled</b> () const</td></tr>
<tr class="separator:a1fbbe9d1525025a7bdee050a5f084e02 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ca01468d7084f30cd1209a0844f0522 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a4ca01468d7084f30cd1209a0844f0522"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>disable_events</b> ()</td></tr>
<tr class="separator:a4ca01468d7084f30cd1209a0844f0522 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad444b81ac7c6f126523e85261e203dbc inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ad444b81ac7c6f126523e85261e203dbc"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_window_resized</b> ()</td></tr>
<tr class="separator:ad444b81ac7c6f126523e85261e203dbc inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab61e2b0cb016cb1767845ffb609bec15 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ab61e2b0cb016cb1767845ffb609bec15"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_window_moved</b> ()</td></tr>
<tr class="separator:ab61e2b0cb016cb1767845ffb609bec15 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a687a82017dd5ab56dbb18ed2e3edc8 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a0a687a82017dd5ab56dbb18ed2e3edc8"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_enter</b> ()</td></tr>
<tr class="separator:a0a687a82017dd5ab56dbb18ed2e3edc8 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b2c92eab5c03b27d400e699359a447c inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a7b2c92eab5c03b27d400e699359a447c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_wheel_up</b> (unsigned long)</td></tr>
<tr class="separator:a7b2c92eab5c03b27d400e699359a447c inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8676af8ff17af797ae11de3ec54e5599 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a8676af8ff17af797ae11de3ec54e5599"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_wheel_down</b> (unsigned long)</td></tr>
<tr class="separator:a8676af8ff17af797ae11de3ec54e5599 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60ce944b2577b79ca6f4135f66cbb822 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a60ce944b2577b79ca6f4135f66cbb822"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_focus_gained</b> ()</td></tr>
<tr class="separator:a60ce944b2577b79ca6f4135f66cbb822 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb02825157c23d038d0ff75c90d2501c inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aeb02825157c23d038d0ff75c90d2501c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_focus_lost</b> ()</td></tr>
<tr class="separator:aeb02825157c23d038d0ff75c90d2501c inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6fac7832cefb891c5d6ef6e9573dbd4 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ae6fac7832cefb891c5d6ef6e9573dbd4"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_keydown</b> (unsigned long, bool, unsigned long)</td></tr>
<tr class="separator:ae6fac7832cefb891c5d6ef6e9573dbd4 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa58265c0f77fc0c3fe00d3321432d3f inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aaa58265c0f77fc0c3fe00d3321432d3f"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_string_put</b> (const std::wstring &amp;)</td></tr>
<tr class="separator:aaa58265c0f77fc0c3fe00d3321432d3f inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab916f3caf221f845d18e3b00fbc15cd7"><td class="memItemLeft" align="right" valign="top"><a id="ab916f3caf221f845d18e3b00fbc15cd7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>toggle_button</b> (<a class="el" href="classdlib_1_1toggle__button.html">toggle_button</a> &amp;)</td></tr>
<tr class="separator:ab916f3caf221f845d18e3b00fbc15cd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a838a854a4ecfa5163f0bd8f2b5384c2a"><td class="memItemLeft" align="right" valign="top"><a id="a838a854a4ecfa5163f0bd8f2b5384c2a"></a>
<a class="el" href="classdlib_1_1toggle__button.html">toggle_button</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classdlib_1_1toggle__button.html">toggle_button</a> &amp;)</td></tr>
<tr class="separator:a838a854a4ecfa5163f0bd8f2b5384c2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af9ad0ff331c65fca3ae4362d989e7d17"><td class="memItemLeft" align="right" valign="top"><a id="af9ad0ff331c65fca3ae4362d989e7d17"></a>
dlib::ustring&#160;</td><td class="memItemRight" valign="bottom"><b>name_</b></td></tr>
<tr class="separator:af9ad0ff331c65fca3ae4362d989e7d17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57198aa588f5cb33f7d69c1b244e0453"><td class="memItemLeft" align="right" valign="top"><a id="a57198aa588f5cb33f7d69c1b244e0453"></a>
<a class="el" href="classdlib_1_1tooltip.html">tooltip</a>&#160;</td><td class="memItemRight" valign="bottom"><b>btn_tooltip</b></td></tr>
<tr class="separator:a57198aa588f5cb33f7d69c1b244e0453"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9ec324b07678c2d45498ef604800de4"><td class="memItemLeft" align="right" valign="top"><a id="aa9ec324b07678c2d45498ef604800de4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>checked</b></td></tr>
<tr class="separator:aa9ec324b07678c2d45498ef604800de4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab83edf28516c1559fa1eef208c79d3f7"><td class="memItemLeft" align="right" valign="top"><a id="ab83edf28516c1559fa1eef208c79d3f7"></a>
<a class="el" href="classdlib_1_1any__function.html">any_function</a>&lt; void()&gt;&#160;</td><td class="memItemRight" valign="bottom"><b>event_handler</b></td></tr>
<tr class="separator:ab83edf28516c1559fa1eef208c79d3f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accfff4425856fded11ebb74beae9c05a"><td class="memItemLeft" align="right" valign="top"><a id="accfff4425856fded11ebb74beae9c05a"></a>
<a class="el" href="classdlib_1_1any__function.html">any_function</a>&lt; void(<a class="el" href="classdlib_1_1toggle__button.html">toggle_button</a> &amp;)&gt;&#160;</td><td class="memItemRight" valign="bottom"><b>event_handler_self</b></td></tr>
<tr class="separator:accfff4425856fded11ebb74beae9c05a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57df2c75329b89e7ae74a5fba801a3cf"><td class="memItemLeft" align="right" valign="top"><a id="a57df2c75329b89e7ae74a5fba801a3cf"></a>
<a class="el" href="classdlib_1_1scoped__ptr.html">scoped_ptr</a>&lt; <a class="el" href="classdlib_1_1toggle__button__style.html">toggle_button_style</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>style</b></td></tr>
<tr class="separator:a57df2c75329b89e7ae74a5fba801a3cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classdlib_1_1drawable"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classdlib_1_1drawable')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td></tr>
<tr class="memitem:aea22da8d8ad763076f9718d69c798502 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aea22da8d8ad763076f9718d69c798502"></a>
<a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>rect</b></td></tr>
<tr class="separator:aea22da8d8ad763076f9718d69c798502 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab70f407d170ece5fb4e766f4c3e32d4b inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ab70f407d170ece5fb4e766f4c3e32d4b"></a>
const <a class="el" href="classdlib_1_1rmutex.html">rmutex</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:ab70f407d170ece5fb4e766f4c3e32d4b inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa068c946f4656895ef141da7c37c5aa6 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aa068c946f4656895ef141da7c37c5aa6"></a>
<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>parent</b></td></tr>
<tr class="separator:aa068c946f4656895ef141da7c37c5aa6 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1139fb338e681f4c53a87c59ee497618 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a1139fb338e681f4c53a87c59ee497618"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>hidden</b></td></tr>
<tr class="separator:a1139fb338e681f4c53a87c59ee497618 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a844287f45a8d646f012eebbfba029513 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a844287f45a8d646f012eebbfba029513"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>enabled</b></td></tr>
<tr class="separator:a844287f45a8d646f012eebbfba029513 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4178f81e3ff2046ca232f30f7c06b6a6 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a4178f81e3ff2046ca232f30f7c06b6a6"></a>
const long &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>lastx</b></td></tr>
<tr class="separator:a4178f81e3ff2046ca232f30f7c06b6a6 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a078ba62ef935062ee59f488f81a1fff0 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a078ba62ef935062ee59f488f81a1fff0"></a>
const long &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>lasty</b></td></tr>
<tr class="separator:a078ba62ef935062ee59f488f81a1fff0 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae13a66d5be88ef169fdd0977f32f2c6c inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ae13a66d5be88ef169fdd0977f32f2c6c"></a>
<a class="el" href="classdlib_1_1shared__ptr__thread__safe.html">shared_ptr_thread_safe</a>&lt; <a class="el" href="classdlib_1_1font.html">font</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>mfont</b></td></tr>
<tr class="separator:ae13a66d5be88ef169fdd0977f32f2c6c inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af68d3188a20e0505444bf36dd4fea2f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af68d3188a20e0505444bf36dd4fea2f7">&#9670;&nbsp;</a></span>toggle_button()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">dlib::toggle_button::toggle_button </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;&#160;</td>
          <td class="paramname"><em>w</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">INITIAL VALUE
    - checked == false

CONVENTION
    - is_checked() == checked
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="widgets_8h_source.html">widgets.h</a></li>
<li>widgets.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
